// 校友信息管理
// 引入axios请求实例（已封装好baseURL、请求拦截器携带token）
import request from '@/utils/request'

// 19.7.	电子校友卡分页列表数据
export function queryEUsersPage(params) {
  return request({
    url: `/api/alumniUser/queryEUsersPage`,
    method: 'get',
    params
  })
}

// 19.8.	审核电子校友卡数据
export function toExamineUser(params) {
  return request({
    url: `/api/alumniUser/toExamineUser`,
    method: 'get',
    params
  })
}

// 在校经历下拉列表数据
export function queryEducations() {
  return request({
    url: '/api/alumniUser/queryEducations',
    method: 'get',
  })
}

// 审核状态下拉列表数据
export function queryPassTypes() {
  return request({
    url: '/api/alumniClub/queryPassTypes',
    method: 'get',
  })
}

// 7.1.	获取毕业年份下拉列表数据
export function queryGraduate() {
  return request({
    url: '/api/alumniUser/queryGraduate',
    method: 'get',
  })
}

// 7.2.	获取学院下拉列表数据
export function queryColleges() {
  return request({
    url: '/api/alumniOrg/queryColleges',
    method: 'get',
  })
}

// 7.3.	根据学院ID获取入学年下拉列表数据
export function queryPeriods(params) {
  return request({
    url: '/api/alumniOrg/queryPeriods',
    method: 'get',
    params
  })
}

// 7.4.	根据入学年ID获取专业下拉列表数据
export function queryMajors(params) {
  return request({
    url: '/api/alumniOrg/queryMajors',
    method: 'get',
    params
  })
}
